Bug 61313

Summary: Libraries node GUI
Product: apisupport Reporter: Jesse Glick <jglick>
Component: ProjectAssignee: Martin Krauskopf <mkrauskopf>
Status: RESOLVED FIXED QA Contact: issues <issues.netbeans.org>
Priority: P1 CC: tzezula
Version: 5.xKeywords: UI
Target Milestone: 5.x   
Hardware: All   
OS: All   
URL: http://apisupport.netbeans.org/phase-II-ui.html
Whiteboard:
Issue Type: ENHANCEMENT Exception Report:
Bug Depends on: 71859    
Bug Blocks:    

Description Jesse Glick 2005-07-22 20:50:42 UTC
Need to implement the Libraries node for module projects, as in the spec.

Will probably need to depend on a separate issue (java/project, API,
API_REVIEW_FAST) to create a generic Libraries node impl reusable across project
types.
Comment 1 Martin Krauskopf 2005-08-30 00:06:13 UTC
I feel that this one should be fixed until feature freeze. But probably no time
for 4.2 I guess. We chose to provide more wizards instead. WONTFIX or FEATURE or
do you think it's just a bug and should be fixed for 4.2? I'm not able to
estimate how much time it would take. Probably you are able to consider this
better, thanks.
Comment 2 Jesse Glick 2005-08-30 00:15:55 UTC
Not critical. If we can do it, cool, otherwise we'll do it later.
Comment 3 Martin Krauskopf 2005-09-14 16:22:26 UTC
Not for 5.0. Should be switched to P1 FEATURE, I think.
Comment 4 Jesse Glick 2005-09-14 22:17:06 UTC
I think that's OK.
Comment 5 Martin Krauskopf 2005-12-13 05:22:43 UTC
Supposing that current spec. is more or less final.
Comment 6 Jesse Glick 2005-12-13 16:26:55 UTC
Yes, I was not planning any spec changes.

Coordinate w/ Tomas Z. and/or Jan Lahoda re. new API.
Comment 7 Martin Krauskopf 2005-12-15 12:51:55 UTC
I talked to Tomas and there is not such an API yet. I also haven't found any
open issue regarding Library Node API. Tomasi please CC whole issues@apisupport
if you fill the issue.
So we can either wait for the API or start it and then switch to the API. Tomas
said that he is planning to implement it relatively soon, probably in January 06
(?). I would wait. There are lot of another issues I can work on in the meantime.
Comment 8 Martin Krauskopf 2006-01-23 16:38:54 UTC
First step. JDK node to be done + some others (also refactoring is included -
sorry for that)

CreatedModifiedFilesFactory.java; 1.22 -> 1.23;
ProjectXMLManager.java; 1.41 -> 1.42;
queries/ModuleProjectClassPathExtender.java; 1.2 -> 1.3;
ui/Bundle.properties; 1.26 -> 1.27;
ui/LibrariesNode.java; 1.1
ui/ModuleLogicalView.java; 1.18 -> 1.19;
ui/SuiteLogicalView.java; 1.30 -> 1.31;
ui/customizer/AddModulePanel.java; 1.34 -> 1.35;
ui/customizer/EditDependencyPanel.java; 1.16 -> 1.17;
ui/customizer/SingleModuleProperties.java; 1.47 -> 1.48;
ui/customizer/SuiteUtils.java; 1.20 -> 1.21;
ui/resources/libraries-badge.png; 1.1
ui/wizard/loader/NewLoaderIterator.java; 1.20 -> 1.21;
ui/wizard/project/NewProjectIterator.java; 1.17 -> 1.18;
ui/wizard/winsys/NewTCIterator.java; 1.10 -> 1.11;
test/unit/CompilationDependencyTest.java; 1.2 -> 1.3;
test/unit/CreatedModifiedFilesTest.java; 1.21 -> 1.22;
test/unit/ProjectXMLManagerTest.java; 1.29 -> 1.30;
test/unit/queries/ClassPathProviderImplTest.java; 1.30 -> 1.31;
test/unit/ui/LibrariesNodeTest.java; 1.1
test/unit/ui/customizer/SingleModulePropertiesTest.java; 1.31 -> 1.32;
test/unit/ui/customizer/SuiteCustomizerLibrariesTest.java; 1.1 -> 1.2;
test/unit/universe/ModuleListTest.java; 1.14 -> 1.15;
Comment 9 Martin Krauskopf 2006-01-23 17:17:48 UTC
Also forgotten "Find..."
Comment 10 Martin Krauskopf 2006-01-24 15:35:54 UTC
continuing - package view for LibraryDependenyNode

ui/LibrariesSourceGroup.java; 1.1
ui/Bundle.properties; 1.27 -> 1.28;
ui/LibrariesNode.java; 1.1 -> 1.2;
test/unit/ui/LibrariesNodeTest.java; 1.1 -> 1.2;
Comment 11 Martin Krauskopf 2006-01-24 15:58:42 UTC
forgotten Find action

ui/LibrariesNode.java; 1.2 -> 1.3;
Comment 12 Martin Krauskopf 2006-01-25 13:27:38 UTC
Finishing. Adding JDK node + some final tweaks.

Tomasi please when you have and/or file an issue about some Libraries Node API
and there will some JDK and Libraries (handling content of jars like in package
view, etc.) nodes, please CC also API Support so we can get rid of duplicated
code. Thanks.

Ups, I forgot to update specficitaion, leaving open....

queries/GlobalJavadocForBinaryImpl.java; 1.6 -> 1.7;
ui/ActionFilterNode.java; 1.1
ui/Bundle.properties; 1.28 -> 1.29;
ui/LibrariesNode.java; 1.3 -> 1.4;
ui/LibrariesSourceGroup.java; 1.1 -> 1.2;
ui/PlatformNode.java; 1.1
ui/ShowJavadocAction.java; 1.1
ui/customizer/ModuleProperties.java; 1.12 -> 1.13;
ui/resources/jar.gif; 1.1
ui/resources/platform.gif; 1.1
test/unit/ui/LibrariesNodeTest.java; 1.2 -> 1.3;
Comment 13 Tomas Zezula 2006-01-25 13:44:15 UTC
OK.
Comment 14 Martin Krauskopf 2006-01-25 15:09:57 UTC
Putting back spec. for Libraries Node.

phase-II-ui.html; 1.54 -> 1.55; 

Also filed a new issue 71859 for "Test Libraries node GUI". I will go through my
issues and firstly prioritize what should be done and eventually also
implementent test lib. node for 5.0u1.
Comment 15 Jesse Glick 2006-01-25 19:15:26 UTC
Tomas - when filing a new API issue please make it block this issue, for tracking.
Comment 16 Tomas Zezula 2006-01-26 09:30:25 UTC
OK, I will do it.
By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo